html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

.loading-spinner {
    width: 10vh;
    min-width: 40px;
    height: 10vh;
    min-height: 40px;
    border: 6px solid orange;
    border-radius: 50%;
    border-top-color: #0001;
    display: inline-block;
    animation: loadingspinner .7s linear infinite;
}

@keyframes loadingspinner {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

table.sortable-table th,
table.sortable-table td {
    transition: background-color 0.3s ease;
}

tr.active {
    background-color: var(--bs-primary)
}

tr.active td {
    color: white
}

html * {
    font-family: Montserrat
}

.toast {
    border-radius: 6px;
}

.max-size-div {
    height: 100%;
    width: 100%;
}

.text-white-lg {
    color: white;
    font-size: 16px;
}

.text-white-sm {
    color: white;
    font-size: 14px;
}

.text-white {
    color: white;
}

.transparent-text-input {
    color: white;
    background-color: rgba(255, 255, 255, 0.25) !important;
    border: none;
    border-radius: 6px;
    font-size: 16px;
}

.transparent-text-input:focus {
    color: white;
    background-color: rgba(255, 255, 255, 0.25) !important;
    border: none;
    font-size: 16px;
    box-shadow: 0 0 0 .25rem rgba(255, 255, 255, 0.75);
}

.opaque-text-input {
    color: black;
    background-color: white;
    border: none;
    border-radius: 6px;
    font-size: 16px;
}

.opaque-text-input:focus {
    color: black;
    background-color: white;
    border: none;
    font-size: 16px;
    box-shadow: 0 0 0 .25rem rgba(0, 0, 0, 0.25);
}

.btn-sante-primary {
    background-color: #EF7D00;
    color: white;
    font-size: 14px;
    border-radius: 6px;
}

.btn-sante-primary:hover {
    background-color: #009640;
    color: white;
}

.btn-sante-primary:focus {
    box-shadow: 0 0 0 .25rem rgba(255, 255, 255, 0.75);
}

input[type="radio"]:checked + label.btn-sante-primary {
    background-color: #009640;
    color: white;
}

.icon {
    display: inline-block;
    width: 16px;
    height: 16px;
    background-repeat: no-repeat;
    background-size: 100% 100%;
}

.arrow-right-icon {
    background-image: url('../arrow-right-icon.svg');
}

.ro-flag-icon {
    content: url(../ro-flag.svg)
}

.rs-flag-icon {
    content: url(../rs-flag.svg)
}

.gb-flag-icon {
    content: url(../gb-flag.svg)
}

.questionnaire-section {
    background-color: #F0F0F0;
    border-radius: 6px;
    border: none;
    padding: 12px 12px 24px 12px
}

.form-title {
    font-size: 24px;
    font-weight: 600;
    font-style: normal;
    color: #666666;
}
@media (min-width: 768px)
{
    .form-title {
        font-size: 32px;
        font-weight: 600;
        font-style: normal;
        color: #666666;
    }
}
@media (min-width: 1200px) {
    .form-title {
        font-size: 40px;
        font-weight: 600;
        font-style: normal;
        color: #666666;
    }
}

.section-title {
    font-size: 18px;
    font-weight: 600;
    font-style: normal;
    color:black;
}

.question-text {
    border: none;
    font-size: 16px;
    font-weight: 500;
    font-style: normal;
    color: black;
}

.question-text:focus {
    font-size: 16px;
    font-weight: 500;
    font-style: normal;
    color: black;
}

.form-check-input[type="radio"] {
    border-color: #EF7D00;
    border-width: 2px;
}

.form-check-input[type="radio"]:checked {
    border-color: #EF7D00;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-1 -1 22 22'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e");
    background-color: #EF7D00;
    border: none;
}

.form-check-input[type="radio"]:focus {
    box-shadow: none;
}

.form-check-input[type="checkbox"] {
    border-color: #EF7D00;
    border-width: 2px;
}

.form-check-input[type="checkbox"]:checked {
    border-color: #EF7D00;
    background-color: #EF7D00;
}

.form-check-input[type="checkbox"]:focus {
    box-shadow: none;
}

input[type="range"]::-webkit-slider-thumb {
    height: 20px;
    width: 20px;
    margin-top: -6.5px;
    background-color: #EF7D00;
    border: 2px;
    border-radius: 50%;
    border-color: white;
    box-shadow: 0 0 0 .08rem white;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

input[type="range"]:focus::-webkit-slider-thumb {
    height: 20px;
    width: 20px;
    margin-top: -6.5px;
    background-color: #EF7D00;
    box-shadow: 0 0 0 .1rem rgba(0, 0, 0, 0.1);
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.slider-label {
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    transform: translateY(100%);
    padding-left: 1em;
    border-radius: 6px;
    user-select: none;
    -webkit-user-select: none;
    pointer-events:none;
    font-size: 14px;
}
@media (min-width: 768px) {
    .slider-label {
        position: relative;
        left: 50%;
        transform: translateX(-50%);
        transform: translateY(110%);
        padding-left: 1em;
        border-radius: 6px;
        user-select: none;
        -webkit-user-select: none;
        pointer-events: none;
        font-size: 14px;
    }
}

.ts-wrapper.single .ts-control {
    border: none;
    border-color: none;
    background-image: none;
    box-shadow: none;
    color: black;
    background-color: white;
    border: none;
    border-radius: 6px;
    font-size: 16px;
}

.ts-wrapper.single .ts-control:focus {
    border: none;
    border-color: none;
    background-image: none;
    box-shadow: none;
    color: black;
    background-color: white;
    border: none;
    border-radius: 6px;
    font-size: 16px;
}

.ts-dropdown {
    border: none;
    border-color: none;
}

.dropdown-input {
    color: black;
    font-size: 16px;
    background-color: white;
    background-image: none;
}

.dropdown-input:focus {
    color: black;
    font-size: 16px;
    background-color: white;
    background-image:none;
}

.dropdown-input-wrap:focus {
    color: black;
    background-color: white;
    background-image: none;
    font-size: 16px;
}

.option, .no-results {
    color: black;
    font-size: 16px;
}

.form-control:read-only {
    background-color: white;
}

.flatpickr-day.selected {
    background-color: #EF7D00;
    border-color: #EF7D00;
}

.flatpickr-day.nextMonthDay.selected {
    background-color: #EF7D00;
    border-color: #EF7D00;
}

.request-info-box {
    background-color: rgba(255, 255, 255, 0.25);
}

.opaque-error-toast {
    border: solid;
    border-color: white;
    border-width: 1px;
    border-radius: 6px;
    background-color: #F0F0F0;
}

.link-text {
    color: cornflowerblue;
    cursor: pointer;
}


.modal-dialog {
    max-width: 80vw;
}

@media (min-width: 992px) {
    .modal-dialog {
        max-width: 60vw;
    }
}

@media (min-width: 1200px) {
    .modal-dialog {
        max-width: 50vw;
    }
}

.flatpickr-time {
    display: none;
}

.flatpickr-confirm:hover {
    background-color: rgba(0, 0, 0, 0.2);
}

.flatpickr-confirm:focus {
    background-color: rgba(0, 0, 0, 0.2);
}

.page-item.active .page-link {
    color: white;
    background-color: #EF7D00;
    border-color: #EF7D00;
}

.page-item .page-link:hover {
    background-color: #009640;
    border-color: #009640;
    color: white;
}

#language-select-ts-control {
    border: 1px solid rgba(0, 0, 0, 0.4) !important;
}